{"id":18091,"date":"2018-12-04T14:00:55","date_gmt":"2018-12-04T14:00:55","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?post_type=docs&#038;p=15693"},"modified":"2021-03-25T09:19:14","modified_gmt":"2021-03-25T09:19:14","slug":"bot-import-status-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/bot-import-status-api\/","title":{"rendered":"Bot Import Status API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to get the status of the bot import request initiated using Import Bot as New Bot API or Import Bot into an Existing Bot API.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from Bot Admin Console.<br \/>\nTo use this API, app needs the Admin API Scope of <em>Bot Import<\/em> under <em>Bot Definition<\/em>.<\/p>\n<p><strong>GET<\/strong> <code>https:\/\/{{host}}\/api\/public\/bot\/import\/status\/{{BotImportBIR}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\">host<\/span><\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotImportBIR<\/td>\n<td><span style=\"font-weight: 400\">bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_content_type\">Response content type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n  https:\/\/{{host}}\/api\/public\/bot\/import\/status\/bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"_id\": \"bir-xxxxxxx-xxx-xxxx-xxxxx-xxxxxxxxxx\",\r\n    \"botRefId\": \"f6e63f2d-cw20-52b0-bbc5-638add8dba26\",\r\n    \"statusLogs\": [\r\n        {\r\n            \"taskType\": \"importRequest\",\r\n            \"taskName\": \"Sample Bot\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Bot Definition\",\r\n            \"taskName\": \"Sample Bot\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"CustomTemplates\",\r\n            \"taskName\": \"CustomTemplates\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"BotVariables\",\r\n            \"taskName\": \"BotVariables\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Dialog\",\r\n            \"taskName\": \"Task 1\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Dialog\",\r\n            \"taskName\": \"Task 2\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"Utterances\",\r\n            \"taskName\": \"Utterances\",\r\n            \"status\": \"success\"\r\n        },\r\n        {\r\n            \"taskType\": \"importBot\",\r\n            \"taskName\": \"Sample Bot\",\r\n            \"status\": \"success\"\r\n        }\r\n    ],\r\n    \"createdBy\": \"u-3ae3ed39-a65b-5b2c-b55b-85864a8202c3\",\r\n    \"requestType\": \"Botimport\",\r\n    \"status\": \"success\",\r\n    \"createdOn\": \"2018-12-05T07:45:14.376Z\",\r\n    \"__v\": 0,\r\n    \"botId\": \"st-b4542w96-49ec-5d95-a120-c6244fc23777\"\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to get the status of the bot import request initiated using Import Bot as New Bot API or Import Bot into an Existing Bot API. This API requires JWT generated by an application created only from Bot Admin Console. To use this API, app needs the Admin API Scope of Bot Import under Bot...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18091","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18091","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=18091"}],"version-history":[{"count":8,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18091\/revisions"}],"predecessor-version":[{"id":23421,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/18091\/revisions\/23421"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=18091"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=18091"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=18091"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}